Scene Analyzer
C Reference » Production Nodes Functionality

## Functions

XN_C_API XnStatus XN_C_DECL | xnCreateSceneAnalyzer (XnContext *pContext, XnNodeHandle *phSceneAnalyzer, XnNodeQuery *pQuery, XnEnumerationErrors *pErrors)
XN_C_API const XnLabel *XN_C_DECL | xnGetLabelMap (XnNodeHandle hInstance)
XN_C_API XnStatus XN_C_DECL | xnGetFloor (XnNodeHandle hInstance, XnPlane3D *pPlane)
XN_C_API void XN_C_DECL | xnGetSceneMetaData (XnNodeHandle hInstance, XnSceneMetaData *pMetaData)

## Detailed Description

A Scene Analyzer node is a Map Generator that performs scene analysis. It supports all Map Generator functions, and adds additional functions.

## Function Documentation

## xnCreateSceneAnalyzer()

XN_C_API XnStatus XN_C_DECL xnCreateSceneAnalyzer | ( | XnContext * | pContext,
|  | XnNodeHandle * | phSceneAnalyzer,
|  | XnNodeQuery * | pQuery,
|  | XnEnumerationErrors * | pErrors )

Creates an scene analyzer.

Parameters

  pContext | [in] The context in which to create the scene analyzer.
  phSceneAnalyzer | [out] A handle to the created scene analyzer.
  pQuery | [in] Optional. Can be used to select which scene analyzer to create. If not specified, this function may create any scene analyzer that is available.
  pErrors | [in] Optional. If provided, will be filled with information about scene analyzers that could not be created.

## xnGetFloor()

XN_C_API XnStatus XN_C_DECL xnGetFloor | ( | XnNodeHandle | hInstance,
|  | XnPlane3D * | pPlane )

Gets a description of the floor, if it was found.

Parameters

  hInstance | [in] A handle to the instance
  pPlane | [out] A description of the floor

## xnGetLabelMap()

XN_C_API const XnLabel *XN_C_DECL xnGetLabelMap | ( | XnNodeHandle | hInstance | ) |

Gets the label map, describing the current segmentation of the scene.

Parameters

  hInstance | [in] A handle to the instance

## xnGetSceneMetaData()

XN_C_API void XN_C_DECL xnGetSceneMetaData | ( | XnNodeHandle | hInstance,
|  | XnSceneMetaData * | pMetaData )

Gets the current scene meta data.

Parameters

  hInstance | [in] A handle to the instance.
  pMetaData | [in] The struct to be filled.